Get report by ID
This endpoint allows fetching the details of a specific report.
Note that this will return the details of the report only. To download the report as a CSV file, use the /reports/{id}/download endpoint.
Provide the id returned when you requested the report.
Path Parameters
ID of the report you wish to retrieve
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "status": "string", "createdAt": "2019-08-24T14:15:22Z", "generatedAt": "2019-08-24T14:15:22Z"}{ "exception": { "code": 0, "message": "string" }}{ "exception": { "code": 0, "message": "string" }}Download a report GET
This endpoint allows downloading a previously generated report in CSV format. Use the `id` returned when you requested the report.
Get available reports GET
This endpoint will allow you to fetch a list containing all the reports you've generated. Use the `id` of the report to download it using the `/reports/{id}/download` endpoint. By default, it will return a complete list of reports for your entire customer hierarchy. Providing a `customerId` in the query will allow you to limit the list to reports available for one particular merchant.